
package de.ivu.elect.business.verteilung.boundary;

public interface VerteilungQuotient {

  /**
   * @return true, falls dieser Quotient zu einem direkten Sitzgewinn ODER zur Teilnahme im Losverfahren führt
   */
  boolean isRelevantInSitzvergabe();

  /**
   * @return true, falls dieser Quotient zu einem direkten Sitzgewinn ODER zu einem Sitzgewinn nach Teilnahme im Losverfahren geführt hat
   */
  boolean isSitzgewinn();

  /**
   * @return true, falls dieser Quotient zur Teilnahme im Losverfahren führt
   */
  boolean isRelevantInLosverfahren();

  /**
   * @return true, falls dieser Quotient als "ausgewählt" markiert wurde
   */
  boolean isAusgewaehlt();

  String formatDezimal(VerteilungContext context);

  String formatGemein(VerteilungContext context);
}
